--
-- Oberallgaeu by www.LS11DL.de
--
-- Erbauer: Stefan "MAurUS" M.
--
-- Copyright (C) GIANTS Software GmbH, Confidential, All Rights Reserved.

oberallgaeu = {}

local oberallgaeu_mt = Class(oberallgaeu, Mission00);

function oberallgaeu:new(baseDirectory, customMt)
    local mt = customMt;
    if mt == nil then
        mt = oberallgaeu_mt;
    end;
    local self = oberallgaeu:superClass():new(baseDirectory, mt);
    return self;
end;

function oberallgaeu:delete()
    oberallgaeu:superClass().delete(self);
end;

function oberallgaeu:load()
    self.environment = Environment:new(Utils.getFilename("$data/sky/sky_day_night.i3d", self.baseDirectory), true, 8, true, true);
    
    -- load the map
    self:loadMap(Utils.getFilename("oberallgaeu.i3d", self.baseDirectory));
    BGA = Utils.getFilename("pdapics/bga.png", self.baseDirectory);
    ZUG = Utils.getFilename("pdapics/bahnhof.png", self.baseDirectory);

    -- load paths for AI traffic vehicles
    self:loadMap(Utils.getFilename("map01/paths/trafficPaths.i3d", self.baseDirectory));
    
    -- load paths for AI pedestrians
    self:loadMap(Utils.getFilename("map01/paths/pedestrianPaths.i3d", self.baseDirectory));
        
    -- load the PDA map image
    self.missionPDA:loadMap(Utils.getFilename("map01/pda_map.png", self.baseDirectory));
	
    AnimalHusbandry.initialize();
    self:loadMap(Utils.getFilename("missions/CattleMeadow.i3d", self.baseDirectory));
    	
	-- load the PDA Hotspots
    self.missionPDA:createMapHotspot("Brewery", "dataS2/missions/hud_pda_spot_brewery.png", 870, 822, 0.055, 0.045, false, false, 0);
    self.missionPDA:createMapHotspot("BGA", BGA , 944, 1099, 0.066, 0.066, false, false, 0);
    self.missionPDA:createMapHotspot("Farming Shop", "dataS2/missions/hud_pda_spot_shop.png", 880, 887, 0.055, 0.045, false, false, 0);
    self.missionPDA:createMapHotspot("Bell", "dataS2/missions/hud_pda_spot_bell.png", 786, 802, 0.055, 0.045, false, false, 0);
    self.missionPDA:createMapHotspot("Mill", "dataS2/missions/hud_pda_spot_mill.png", 1584, 1269, 0.055, 0.045, false, false, 0);
    self.missionPDA:createMapHotspot("Dairy", "dataS2/missions/hud_pda_spot_dairy.png", 1061, 1425, 0.055, 0.045, false, false, 0);	
    self.missionPDA:createMapHotspot("Cow", "dataS2/missions/hud_pda_spot_cow.png", 1161, 161, 0.055, 0.040, false, false, 0);	
    self.missionPDA:createMapHotspot("Bahnhof", ZUG , 49, 1332, 0.060, 0.060, false, false, 0);
	
	--load the Glass Containers
    self:loadGlassContainers(Utils.getFilename("missions/oberallgaeuContainers.i3d", self.baseDirectory));
	
	--load the Bottles
    self:loadCollectableBottles(Utils.getFilename("missions/oberallgaeuBottles.i3d", self.baseDirectory));
	
   --load Info Triggers
   self:loadInfoTriggers(Utils.getFilename("missions/oberallgaeuInfoTriggers.i3d", self.baseDirectory));	
 
	oberallgaeu:superClass().load(self);
end
function oberallgaeu:loadFinished()
    oberallgaeu:superClass().loadFinished(self);
    AnimalHusbandry.finalize();
end;

function oberallgaeu:mouseEvent(posX, posY, isDown, isUp, button)
    oberallgaeu:superClass().mouseEvent(self, posX, posY, isDown, isUp, button);
end;

function oberallgaeu:keyEvent(unicode, sym, modifier, isDown)
    oberallgaeu:superClass().keyEvent(self, unicode, sym, modifier, isDown);
end;

function oberallgaeu:update(dt)
    oberallgaeu:superClass().update(self, dt);
end;

function oberallgaeu:draw()
    oberallgaeu:superClass().draw(self);
end;
